Loading...
Searching...
No Matches
Dune::Amg::IndicesCoarsener< OwnerOverlapCopyCommunication< G, L >, E > Class Template Reference
Iterative Solvers Template Library (ISTL) » Iterative Solvers » Preconditioners » Parallel Algebraic Multigrid

Coarsen Indices in the parallel case. More...

`#include <dune/istl/paamg/indicescoarsener.hh>`

Inheritance diagram for Dune::Amg::IndicesCoarsener< OwnerOverlapCopyCommunication< G, L >, E >:

## Public Types

typedef E | ExcludedAttributes
| The set of excluded attributes.
typedef OwnerOverlapCopyCommunication< G, L > | ParallelInformation
| The type of the parallel information.
typedef ParallelInformation::ParallelIndexSet | ParallelIndexSet
typedef ParallelIndexSet::GlobalIndex | GlobalIndex
| The type of the global index.
typedef ParallelIndexSet::LocalIndex | LocalIndex
| The type of the local index.
typedef LocalIndex::Attribute | Attribute
| The type of the attribute.
typedef Dune::RemoteIndices< ParallelIndexSet > | RemoteIndices
| The type of the remote indices.

## Static Public Member Functions

static Graph::VertexDescriptor | coarsen (ParallelInformation &fineInfo, Graph &fineGraph, VM &visitedMap, AggregatesMap< typename Graph::VertexDescriptor > &aggregates, ParallelInformation &coarseInfo, typename Graph::VertexDescriptor noAggregates, bool useFixedOrder=false)
| Build the coarse index set after the aggregatio.

## Detailed Description

template<typename G, typename L, typename E>
class Dune::Amg::IndicesCoarsener< OwnerOverlapCopyCommunication< G, L >, E >

Coarsen Indices in the parallel case.

## Member Typedef Documentation

## Attribute

typedef LocalIndex::Attribute Dune::Amg::ParallelIndicesCoarsener< OwnerOverlapCopyCommunication< G, L >, E >::Attribute

inherited

The type of the attribute.

## ExcludedAttributes

typedef E Dune::Amg::ParallelIndicesCoarsener< OwnerOverlapCopyCommunication< G, L >, E >::ExcludedAttributes

inherited

The set of excluded attributes.

## GlobalIndex

typedef ParallelIndexSet::GlobalIndex Dune::Amg::ParallelIndicesCoarsener< OwnerOverlapCopyCommunication< G, L >, E >::GlobalIndex

inherited

The type of the global index.

## LocalIndex

typedef ParallelIndexSet::LocalIndex Dune::Amg::ParallelIndicesCoarsener< OwnerOverlapCopyCommunication< G, L >, E >::LocalIndex

inherited

The type of the local index.

## ParallelIndexSet

typedef ParallelInformation::ParallelIndexSet Dune::Amg::ParallelIndicesCoarsener< OwnerOverlapCopyCommunication< G, L >, E >::ParallelIndexSet

inherited

## ParallelInformation

typedef OwnerOverlapCopyCommunication< G, L > Dune::Amg::ParallelIndicesCoarsener< OwnerOverlapCopyCommunication< G, L >, E >::ParallelInformation

inherited

The type of the parallel information.

## RemoteIndices

typedef Dune::RemoteIndices<ParallelIndexSet> Dune::Amg::ParallelIndicesCoarsener< OwnerOverlapCopyCommunication< G, L >, E >::RemoteIndices

inherited

The type of the remote indices.

## Member Function Documentation

## coarsen()

Graph::VertexDescriptor Dune::Amg::ParallelIndicesCoarsener< OwnerOverlapCopyCommunication< G, L >, E >::coarsen | ( | ParallelInformation & | fineInfo,
|  | Graph & | fineGraph,
|  | VM & | visitedMap,
|  | AggregatesMap< typename Graph::VertexDescriptor > & | aggregates,
|  | ParallelInformation & | coarseInfo,
|  | typename Graph::VertexDescriptor | noAggregates,
|  | bool | useFixedOrder = false )

inline static inherited

Build the coarse index set after the aggregatio.

Parameters

  fineInfo | The parallel information at the fine level.
  fineGraph | The graph of the fine lecel,
  visitedMap | Map for marking vertices as visited.
  aggregates | The mapping of unknowns onto aggregates.
  coarseInfo | The information about the parallel data decomposition on the coarse level.
  noAggregates |
  useFixedOrder | Flag indicating if creating indices for the coarser level should be done in a fixed order, i.e., the order in which the rows were sent. If set to true, this makes the runs reproducible but it might slow down performance.

Returns
  The number of unknowns on the coarse level.

The documentation for this class was generated from the following file:

- indicescoarsener.hh